<app-menu></app-menu>
<div class="container mt-4">
<h5>Formulario de Donaciones / Solicitudes</h5>

<div class="row">
  <div class="col-md-6">
    <form [formGroup]="requestForm" (ngSubmit)="onSubmit()">
      <div class="form-group">
        <label for="type">Tipo</label>
        <select class="form-control" formControlName="type" name="type" id="type">
          <option *ngIf="role == 'Patrocinador' || role == 'Admin'">Donación</option>
          <option *ngIf="role == 'Solicitante' || role == 'Maker'">Solicitud</option>
        </select>
      </div>
      <div class="form-group">
        <label for="categoria">Categoria</label>
        <select class="form-control" formControlName="category" name="categoria" id="categoria">
          <option *ngIf="role == 'Solicitante'">Mascarillas</option>
          <option *ngIf="role == 'Solicitante'">Viseras</option>
          <option *ngIf="role == 'Maker' || role == 'Patrocinador'">Filamentos</option>
        </select>
      </div>
      <div class="form-group">
        <label for="detalle">Detalle</label>
        <textarea class="form-control" formControlName="detail" id="detalle" rows="3"></textarea>
      </div>
      <div class="form-group">
        <label for="cant_mascarillas">Cantidad</label>
        <input type="number" formControlName="amount" class="form-control" id="cant_mascarillas" placeholder="">
      </div>
      
      <button type="submit" class="btn btn-primary">Enviar</button>
    </form>
  </div>
</div>
